<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Estoques</title>
    <script>
        fetch('http://localhost:3000/estoques')
            .then(response => response.json())
                .then(data => {
                    data.forEach(estoque => {
                        const para = document.createElement("p");
                        const node = document.createTextNode(`${estoque.id} - Nome: ${estoque.nome} - Quantidade: ${estoque.quantidade} - Valor: ${estoque.valor}`);
                        para.appendChild(node);
                        document.getElementById('api-response').appendChild(para);
                    });
                })
            .catch(error => console.error(error));
    </script>
</head>

<body>
    <h1>Estoque Cadastrado:</h1>
    <div id="api-response"></div>
</body>

</html>